If you can read this, you need to download Java from www.java.com